using BlazorZXingJs;

using System.Collections.ObjectModel;

namespace decePubClient.Models
{
	public class PublicCacheData
	{
		public IReadOnlyList<ViewLanguage> Languages { get; set; } = new List<ViewLanguage>();
		public List<MediaDeviceInfo> QrCodeDevices { get; set; } = new();
		public string LastPage { get; set; }
		public string CurrentSubPage { get; set; }
		public PageSettings PageSettings { get; set; } = new();
		public bool ShowLogs { get; set; } = false;
		public IReadOnlyDictionary<string, string> Policies { get; set; } = new ReadOnlyDictionary<string, string>(new Dictionary<string, string>());
	}
}
